import { NextResponse } from 'next/server'
export async function GET(){
  const clientId = process.env.GOOGLE_CLIENT_ID!
  const redirect = 'https://i.yjm.kr/api/auth/google/callback'
  const url = `https://accounts.google.com/o/oauth2/v2/auth?client_id=${clientId}&redirect_uri=${encodeURIComponent(redirect)}&response_type=code&scope=${encodeURIComponent('email profile')}&access_type=offline&prompt=consent`
  return NextResponse.redirect(url)
}
